import 'dart:async';

import 'package:flutter/material.dart';
import 'package:code_faster/code_faster.dart';

class SecondPage extends StatefulWidget {
  @override
  _SecondPageState createState() => _SecondPageState();
}

class _SecondPageState extends State<SecondPage> {
  int second = 3;
  Timer timer;

  @override
  void initState() {
    super.initState();
    schedulePop();
    timer = Timer.periodic(const Duration(seconds: 1), (timer) {
      setState(() {
        second--;
      });
    });
  }

  @override
  void dispose() {
    super.dispose();
    timer.cancel();
  }

  void schedulePop() async {
    Future.delayed(const Duration(seconds: 3), () {
      context.pop('some results');
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: const Text('Second page'),
        ),
        body: Center(
          child: Text(second.toString()),
        ));
  }
}
