import 'package:flutter/material.dart';
import '../../code_faster.dart';

/// create a SizedBox with widthPercent & heightPercent of screen
class BoxOfScreen extends StatelessWidget {
  const BoxOfScreen({this.widthPercent, this.heightPercent, this.child});

  final double widthPercent;
  final double heightPercent;
  final Widget child;

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: context.getW(widthPercent),
      height: context.getH(heightPercent),
      child: child,
    );
  }
}
